package main.entities;

import ea.Figur;
import main.Malin;
import main.SheetLoader;

public class Spider extends LivingEntity {

	private Malin main; // Referenz auf die main Klasse. Wird später für den Keyboardinput verwendet
	private static SheetLoader loader = new SheetLoader("/res/images/spider_sprite_sheet.png", 64, 32, new int[] {5, 8, 7, 6, 2, 5, 4, 7});
	
	public Spider(Malin main) {
		super(loader.getFigur(5), "walk");
		this.main = main;
		
			width = 0.7f;
			height = 0.8f;
			spriteOffsetY = -0.14f;
			spriteScale = 0.8f;
			posX = 4f;
			posY = 4f;
			hp = 10f;
		
		}
	protected void update() {
		
		// auf Kollisionen prüfen
		checkTileCollisions(main.getWorld().getCurrentMap());
		// LivingEntity auch updaten lassen
		super.update();
		    velX = 0;
			velY = 0;
		
	}
	
}
	


